PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package environment
  Definition Classes
    serverobject
- DeepCircularSurface
- DeepPlane
- DeepSquare
- DeepSurface
- EnvironmentAttribute
- EnvironmentCollision
- EnvironmentTrait
- EscapeFromEnvironment
- GantryDenialField
- InteractWithEnvironment
- InteractsWithZoneEnvironment
- OxygenStateTarget
- PieceOfEnvironment
- Pool
- RecoveredFromEnvironmentInteraction
- RespondsToZoneEnvironment
- SeaLevel

t

net.psforever.objects.serverobject.environment

# RespondsToZoneEnvironment

###
Companion object RespondsToZoneEnvironment

#### trait RespondsToZoneEnvironment extends AnyRef

The mixin code for any server object that responds to the game world around it. Specific types of environmental region is bound by geometry, designated by attributes, and gets reacted to when coming into contact with that geometry. Ideally, the target under control instigates the responses towards the environment by independently re-evaluating the conditions of its interactions. Only one kind of environment can elicit a response at a time. While a reversal of this trigger scheme is possible, it is not ideal.

Self Type
  RespondsToZoneEnvironment with Actor
Source
  RespondsToZoneEnvironment.scala
See also

  `InteractsWithZoneEnvironment`

  `PieceOfEnvironment`

Linear Supertypes
AnyRef, Any
Known Subclasses
PlayerControl, VehicleControl

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. RespondsToZoneEnvironment
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def InteractiveObject: PlanetSideServerObject with InteractsWithZoneEnvironment

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def InteractWith: Option[PieceOfEnvironment]
5.  def SetInteraction(attribute: EnvironmentTrait, action: Interaction): Unit
6.  def SetInteractionStop(attribute: EnvironmentTrait, action: Interaction): Unit
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  def doEnvironmentInteracting(obj: PlanetSideServerObject, body: PieceOfEnvironment, data: Option[OxygenStateTarget]): Unit
10.  val environmentBehavior: (RespondsToZoneEnvironment.this)#Receive
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
13.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
14.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  val interactWith: Option[PieceOfEnvironment]

    the environment that we are currently in interaction with

17.  val interactionTime: Long

    how long the current interaction has been progressing in the current way

18.  val interactionTimer: Cancellable

    a gesture of automation added to the interaction

19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  def recoverFromEnvironmentInteracting(): Unit

    Reset the environment encounter fields and completely stop whatever is the current mechanic.

    Reset the environment encounter fields and completely stop whatever is the current mechanic. This does not perform messaging relay either with mounted occupants or with any other service.

24.  def stopEnvironmentInteracting(obj: PlanetSideServerObject, body: PieceOfEnvironment, data: Option[OxygenStateTarget]): Unit
25.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
26.  def toString(): String
    Definition Classes
      AnyRef → Any
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped